Manage a client's share rights. Change who within the requesting company has access to clients.
GET /clients/{id}/share-rights
| Description | Get a list of the specified client’s share rights. |
| Permissions | client.access |
| Resource URL | https://app.klipfolio.com/api/1.0/clients/{id}/share-rights |
| Parameters | None. |
Example Request
GET https://app.klipfolio.com/api/1/clients/0123456789abcdef0123456789abcdef/share-rights
Example Response
{
"data": {
"share_rights": [
{
"group_id": "0123456789abcdef0123456789abcdef",
"group_name": "Example Group",
"can_manage": true
},
...
]
},
"meta": {
"status": 200,
"success": true
}
}
PUT /clients/{id}/share-rights
| Description | Update the specified client’s share rights. If the client is not already shared with a specified group, a new share right is created, otherwise the existing share right is updated. |
| Permissions | client.share |
| Resource URL | https://app.klipfolio.com/api/1.0/clients/{id}/share-rights |
| Parameters | None. |
Example Request
PUT https://app.klipfolio.com/api/1/clients/0123456789abcdef0123456789abcdef/share-rights
-d {'groups':[{'group_id':'fedcba9876543210fedcba9876543210','can_manage':true}]}
Example Response
{
"data": {},
"meta": {
"status": 200,
"success": true
}
}
DELETE /clients/{id}/share-rights/{group-id}
| Description Permissions Resource URL Parameters Response codes | Revoke a group's access to a client client.share https://app.klipfolio.com/api/1.0/clients/{id}/share-rights None. 400 — missing group id 401 — access denied to users from other companies and users who do not have share rights 403 — client is not shared with group 404 — {id} or {group-id} not found |
| Permissions | https://app.klipfolio.com/api/1/clients/{id}/share-rights |
| Resource URL | client.share |
| Parameters | None. |
Example Request
DELETE https://app.klipfolio.com/api/1/clients/0123456789abcdef0123456789abcdef/share-rights/fedcba9876543210fedcba9876543210
Example Response
{
"data": {},
"meta": {
"status": 200,
"success": true
}
}